Retrieve Spending Budget Transactions

Retrieve all of the transactions associated with a spending budget. The results of this endpoint are paginated with a default page size of 100 and a maximum of 200. The page size is configurable by the page_size query parameter. The next page of results can be retrieved using the page_token query parameter.

Account IDs can be supplied as part of the URL query to filter transactions to those only associated with the specified accounts. If no account IDs are specified, we will return transactions associated with all of the customer's accounts, relevant to the spending budget.

Path Params
string
required

The ID of the spending budget.

Example: 81a68821-dca6-4771-80d4-002c7fce412e

Query Params
string

The day for which results are to be retrieved in the format RFC 3339.

Examples:

  • 2023-01-17T17:29:51Z
  • 2023-01-17T17:29:51-08:00
string

Use this paramater to fetch a specific page of results. Provided by the next_page_token field in the previous request.

integer

Use this parameter to set the maximum number of results to be returned. This defaults to 100, and has a maximum of 200.

string

Use this parameter to filter the results on data associated with the given account id.

Example: RxsYshVGded4JeilkXgWKdXA

Headers
string
required

The API Client Identifier (Service Application Identifier).

uuid
required

A unique identifier for a Customer, as registered on Bud's platform.

string

Use the internal client identifier, provided in the client_metadata object when creating the customer in Create Customer V3, in place of an X-Customer-Id header.

string

The Bud Customer secret used to encrypt customer data. This is required only if the customer secret is not already stored with Bud.

Responses

Language
Credentials
OAuth2
Response
Choose an example:
application/json